
From: Benjamin Herrenschmidt <benh@kernel.crashing.org>

This patch fixes a problem when allocating the TCE tables (iommu) during
early boot on some non-LPAR machines with a lot of memory.

Signed-off-by: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/prom_init.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc64/kernel/prom_init.c~ppc64-fix-boot-on-some-non-lpar-pseries arch/ppc64/kernel/prom_init.c
--- 25/arch/ppc64/kernel/prom_init.c~ppc64-fix-boot-on-some-non-lpar-pseries	2004-10-21 20:52:50.978717200 -0700
+++ 25-akpm/arch/ppc64/kernel/prom_init.c	2004-10-21 20:52:50.984716288 -0700
@@ -675,7 +675,7 @@ static void __init prom_init_mem(void)
 	if ( RELOC(of_platform) == PLATFORM_PSERIES_LPAR )
 		RELOC(alloc_top) = RELOC(rmo_top);
 	else
-		RELOC(alloc_top) = min(0x40000000ul, RELOC(ram_top));
+		RELOC(alloc_top) = RELOC(rmo_top) = min(0x40000000ul, RELOC(ram_top));
 	RELOC(alloc_bottom) = PAGE_ALIGN(RELOC(klimit) - offset + 0x4000);
 	RELOC(alloc_top_high) = RELOC(ram_top);
 
_
